Visual Studio Icon Requisitos do sistema da Família de Produtos do Visual Studio 2019 para Mac



Comunidade de desenvolvedores | Requisitos do sistema | Compatibilidade | Código distribuível | Documentação | Blogs | Manutenção


Veja abaixo os requisitos mínimos do sistema da família de produtos do Visual Studio 2019 para Mac. Para instalar o Visual Studio 2019 para Mac, consulte Downloads do Visual Studio 2019. Para obter informações sobre tudo que há de novo nesta versão, consulte notas sobre a versão do Visual Studio 2019 para Mac. Consulte também Direcionamento e compatibilidade da plataforma do Visual Studio 2019 para Mac.

Visual Studio 2019 para Mac

Os seguintes produtos dão suporte aos requisitos mínimos de sistema abaixo:

  • Visual Studio Enterprise 2019 para Mac.
  • Visual Studio Professional 2019 para Mac.
  • Visual Studio Community 2019 para Mac.

Sistemas operacionais com suporte

O Visual Studio 2019 para Mac pode ser instalado e executado nos seguintes sistemas operacionais:

  • macOS Catalina 10.15 *
  • macOS Mojave 10.14
  • macOS High Sierra 10.13

A versão mais recente do Xcode 11 exige o macOS Mojave 10.14. Portanto, os projetos Xamarin.iOS e Xamarin.Mac também exigem essa versão mínima.

* Embora o Visual Studio 2019 para Mac versão 8.3 tenha sido testado para funcionar no Catalina, o macOS Catalina tem problemas de compatibilidade conhecidos com vários aplicativos. Relate os problemas que você observar em Developer Community. O Catalina não dá suporte a versões mais antigas do Visual Studio para Mac.

Hardware

  • Processador de 1,8 GHz ou mais rápido. Dual-core ou superior recomendado.
  • 4 GB de RAM; 8 GB de RAM são recomendados (mínimo de 4 GB se executado em uma máquina virtual).
  • Disco rígido necessário, por padrão: aproximadamente 5,6 GB.

Idiomas com suporte

O Visual Studio para Mac está disponível nos seguintes idiomas:

  • Inglês
  • Chinês (simplificado)
  • Chinês (Tradicional)
  • Tcheco
  • Francês
  • Alemão
  • Italiano
  • Japonês
  • Coreano
  • Polonês
  • Português (Brasil)
  • Russo
  • Espanhol
  • Turco

Requisitos adicionais

  • O SDK do .NET Core 2.2 é necessário para usar os recursos e projetos do .NET Core. Ele pode ser baixado e instalado separadamente e exige o macOS Sierra 10.12 ou superior.
  • O Xamarin.Android exige o JDK (Java Development Kit) de 64 bits.
  • O Xamarin.iOS exige o IDE do Xcode e o SDK do iOS da Apple.
  • O Xamarin.Forms pode ser direcionado para plataformas Android e iOS, considerando os requisitos listados acima.
Início da página